:root{
    --primary:#e46033;
    --outline:#ff7a3d;
    --white:#fff;
    --black:#0e0000;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #faf9f7;
    color: #333;
}

main {
    width: 85%;
    margin: 50px auto;
    text-align: center;
     font-family: "Segoe UI", Tahoma, sans-serif;
}

main h1 {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 42px;
    font-weight: 700;
    margin: 30px 0 10px;
    text-align: center;
}

main > p {
    color: #777;
    margin-bottom: 40px;
    text-align: center; 
}

main section div {
    display: flex;
    gap: 30px;
    position: relative;
    border-radius: 15px;
    overflow: hidden;
}

/* catogry*/
main section div a {
    position: relative;
    flex: 1;
    text-decoration: none;
    border-radius: 15px;
    overflow: hidden;

    transition: 0.3s ease;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
}

/* overlay */
main section div a::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(to top, rgba(0,0,0,0.7), transparent);
    z-index: 1;
}

/* image*/
main section div img {
    width: 100%;
    height: 350px;
    object-fit: cover;
    display: block;
}
main section div h3 {
    position: absolute;
    bottom: 25px;
    left: 10px;

    font-size: 25px;
    color: var(--white);
    z-index: 2;
    margin: 0;
    text-align:center ;
    font-family:'Times New Roman', Times, serif;
   

}
/* hover */
main section div a:hover {
    transform: scale(1.05);
    box-shadow: rgba(240, 82, 8, 0.35) 0px 10px 15px;
}

hr {
    margin: 20px 0 40px;
    border: none;
    height: 1px;
    background-color: #e0e0e0;
}

/* Responsive */

@media (max-width: 992px) {
    main {
        width: 90%;
    }

    main section div {
        gap: 20px;
    }
}

@media (max-width: 600px) {
    main section div {
        flex-direction: column;
    }

    main h1 {
        font-size: 32px;
    }

    main section div a {
        padding: 0; 
    }
}